Get Customer Bills

get

/customerBill

Gets the customer bills that match the query criteria.

Request

Query Parameters
  • The type of object to return.
    Examples

  • Retrieves the customer bills with an amount due that matches the specified value.
    Examples

  • Retrieves the customer bills with an amount due that is greater than the specified value.
    Examples

  • Retrieves the customer bills with an amount due that is greater than or equal to the specified value.
    Examples

  • Retrieves the customer bills with an amount due value that is less than the specified value.
    Examples

  • Retrieves the customer bills with an amount due that is less than or equal to the specified value.
    Examples

  • Retrieves the customer bills with a billDate that matches the specified dateTime.
    Examples

  • Retrieves the customer bills with a billDate that is greater than the specified dateTime.
    Examples

  • Retrieves the customer bills with a billDate that is greater than or equal to the specified dateTime.
    Examples

  • Retrieves the customer bills with a billDate that is less than the specified dateTime.
    Examples

  • Retrieves the customer bills with a billDate that is less than or equal to the specified dateTime.
    Examples

  • Retrieves customer bills by bill number. To retrieve the bills that are in progress, enter bill in progress all lowercase.
    Examples

  • Retrieves customer bills that match the specified bill number. Use the URL-encoded wild-card character %25 to replace one or more characters.
    Examples

  • Retrieves customer bills for the specified account ID or account number.
    Examples

  • Retrieves the customer bills with a billing period end date time that matches the specified dateTime.
    Examples

  • Retrieves the customer bills with a billing period end date time that is greater than the specified dateTime.
    Examples

  • Retrieves the customer bills with a billing period end date time that is greater than or equal to the specified dateTime.
    Examples

  • Retrieves the customer bills with a billing period end date time that is less than the specified dateTime.
    Examples

  • Retrieves the customer bills with a billing period end date time that is less than or equal to the specified dateTime.
    Examples

  • Retrieves the customer bills with a billing period start date time that matches the specified dateTime.
    Examples

  • Retrieves the customer bills with a billing period start date time that is greater than the specified dateTime.
    Examples

  • Retrieves the customer bills with a billing period start date that is greater than or equal to the specified dateTime.
    Examples

  • Retrieves the customer bills with a billing period start date time that is less than the specified dateTime.
    Examples

  • Retrieves the customer bills with a billing period start date time that is less than or equal to the specified dateTime.
    Examples

  • The list of comma-separated fields to return in the response.
    Examples

  • Retrieves customer bills for the specified bill ID.
    Examples

  • Retrieves the customer bills whose lastUpdate matches the specified dateTime.
    Examples

  • Retrieves the customer bills whose lastUpdate is greater than the specified dateTime.
    Examples

  • Retrieves the customer bills whose lastUpdate is less than the specified dateTime.
    Examples

  • Retrieves customer bills whose lastUpdate is less than the specified dateTime.
    Examples

  • Retrieves the customer bills whose lastUpdate is less than or equal to the specified dateTime.
    Examples

  • The maximum number of results to return.
    Examples

  • The number of results to offset the response by.
    Examples

  • Retrieves the customer bills with a paymentDueDate that matches the specified dateTime.
    Examples

  • Retrieves the customer bills with a paymentDueDate that is greater than the specified dateTime.
    Examples

  • Retrieves the customer bills with a paymentDueDate that is greater than or equal to the specified dateTime.
    Examples

  • Retrieves the customer bills with a paymentDueDate that is less than the specified dateTime.
    Examples

  • Retrieves the customer bills with a paymentDueDate that is less than or equal to the specified dateTime.
    Examples

  • Retrieves the customer bills with a remaining amount that matches the specified value.
    Examples

  • Retrieves the customer bills with a remaining amount that is greater than the specified value.
    Examples

  • Retrieves the customer bills with a remaining amount that is greater than or equal to the specified value.
    Examples

  • Retrieves the customer bills with a wild card in the remaining amount value. Use the URL-encoded wild-card character %25 to replace one or more characters.
    Examples

  • Retrieves the customer bills with a remaining amount that is less than the specified value.
    Examples

  • Retrieves the customer bills with a remaining amount that is less than or equal to the specified value.
    Examples

  • The state of the bill, such as new, partiallyPaid, settled, or inProgress.
    Examples

    Allowed Values: [ "new", "partiallyPaid", "settled", "inProgress" ]

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The customer bills were retrieved successfully.
Headers
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : Customer Bill
Type: object
Title: Customer Bill
A customer bill, also called an invoice.
Show Source
Nested Schema : Money
Type: object
Represents a monetary amount.
Show Source
Nested Schema : appliedPayment
Type: array
The payments applied to the bill.
Show Source
Nested Schema : billDocument
Type: array
A document attached to the bill.
Show Source
  • Discriminator: @type
    Discriminator: { "propertyName":"@type", "mapping":{ "Attachment":"#/components/schemas/Attachment", "AttachmentRef":"#/components/schemas/AttachmentRef" } }
    The Attachment entity, not the AttachmentRefOrValue class, uses the polymorphic @type, @schemaLocation, and @referredType attributes.
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

Match All
Refers to the billing account. The billing account describes the bill structure.
Show Source
Nested Schema : TimePeriod
Type: object
Represents a time period with a start date, an end date, or both.
Show Source
Nested Schema : Financial Account Ref
Type: object
Title: Financial Account Ref
A financial account reference.
Show Source
Nested Schema : PaymentMethodRef
Type: object
PaymentMethod reference. A payment method defines a specific mean of payment (e.g direct debit).
Match All
PaymentMethod reference. A payment method defines a specific mean of payment (e.g direct debit).
Show Source
Nested Schema : relatedParty
Type: array
The parties related to the bill.
Show Source
Nested Schema : taxItem
Type: array
The taxes on the bill.
Show Source
Nested Schema : Applied Payment
Type: object
Title: Applied Payment
A payment that can be assigned to a bill.
Show Source
Nested Schema : PaymentRef
Type: object
A payment received at order time.
Show Source
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

The Attachment entity, not the AttachmentRefOrValue class, uses the polymorphic @type, @schemaLocation, and @referredType attributes.
Match One Schema
Show Source
Nested Schema : Attachment
Match All
Represents an attachment that complements an element's description, such as a product description, through videos or pictures.
Show Source
Nested Schema : AttachmentRef
Match All
Represents an attachment reference. An attachment complements an element's description, such as a product description, through videos or pictures.
Show Source
Nested Schema : Entity
Type: object
Represents a base entity schema for TM Forum Open APIs.
Match All
Represents a base entity schema for TM Forum Open APIs.
Represents a base entity schema for TM Forum Open APIs.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Addressable
Type: object
Defines a base schema for addressable entities.
Show Source
Nested Schema : Attachment-allOf[1]
Type: object
Represents an attachment that complements an element's description, such as a product description, through videos or pictures.
Show Source
Nested Schema : Quantity
Type: object
Represents an amount in a specified unit.
Show Source
Nested Schema : EntityRef
Match All
Represents an entity reference schema for EntityRef classes.
Show Source
Nested Schema : EntityRef-allOf[2]
Type: object
Represents an entity reference schema for EntityRef classes.
Show Source
Nested Schema : AttachmentRef-allOf[1]
Type: object
Represents an attachment reference. An attachment complements an element's description, such as a product description, through videos or pictures.
Show Source
Nested Schema : Discriminator: @type-allOf[2]
Type: object
Refers to the billing account. The billing account describes the bill structure.
Show Source
  • Indicates if the account follows a specific payment option such as prepaid or postpaid.
Nested Schema : accountBalance
Type: array
The account's balances.
Show Source
Nested Schema : AccountBalance
Match All
Represents balances linked to an account.
Show Source
Nested Schema : AccountBalance-allOf[1]
Type: object
Represents balances linked to an account.
Show Source
Nested Schema : Related Party Ref
Type: object
Title: Related Party Ref
A reference to the party related to an object.
Show Source
Nested Schema : State Values
Type: object
Title: State Values
A tax item.
Show Source

400 Response

The request isn't valid.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

401 Response

The client doesn't have the correct privileges.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

403 Response

The request wasn't authorized.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

404 Response

The requested resource couldn't be found.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

405 Response

This method is not allowed.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

409 Response

The request could not be processed due to the conflict with the existing state of the resource.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

500 Response

The system encountered an internal error.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source
Back to Top

Examples

Example 1: Get In Progress Customer Bills by Payment Due Date

The following example shows how to get bills by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.

The request uses query parameters to show a maximum of two results, limited to bills in progress that have a payment due date later than or equal to June 1, 2025.

curl -X GET 'http://host:port/brm/customerBillManagement/version/customerBill?limit=2&state=inProgress&paymentDueDate.gte=2025-06-01T01:05:29-07:00'

Response Body

The following example shows the contents of the response body in JSON format.

[
   {
      "id": "0.0.0.1+-bill+106861",
      "href": "http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+106861",
      "billDate": null,
      "billNo": "bill in progress",
      "category": "0",
      "lastUpdate": "2025-05-02T01:14:13-07:00",
      "nextBillDate": "2025-06-13T00:00:00-07:00",
      "paymentDueDate": "2025-08-01T01:05:29-07:00",
      "runType": "onCycle",
      "amountDue": {
         "unit": "EUR",
         "value": 90.0
      },
      "appliedPayment": null,
      "billDocument": null,
      "billingAccount": {
         "id": "0.0.0.1+-account+107117",
         "href": null,
         "name": "John Miller",
         "@baseType": null,
         "@schemaLocation": null,
         "@type": null,
         "@referredType": "billingAccount"
      },
      "billingPeriod": {
         "endDateTime": null,
         "startDateTime": "2025-05-02T00:00:00-07:00"
      },
      "financialAccount": {
         "id": "0.0.0.1+-account+107117",
         "href": null,
         "name": "John Miller",
         "accountBalance": null,
         "@baseType": null,
         "@schemaLocation": null,
         "@type": null,
         "@referredType": "financialAccount"
      },
      "paymentMethod": {
         "id": "0.0.0.1+-payinfo-invoice+109165",
         "href": null,
         "name": "4243324",
         "@baseType": null,
         "@schemaLocation": null,
         "@type": null,
         "@referredType": null
      },
      "relatedParty": null,
      "remainingAmount": {
         "unit": "EUR",
         "value": 90.0
      },
      "state": "inProgress",
      "taxExcludedAmount": {
         "unit": "EUR",
         "value": 86.0
      },
      "taxIncludedAmount": {
         "unit": "EUR",
         "value": 90.0
      },
      "taxItem": null,
      "@baseType": "CustomerBill",
      "@schemaLocation": null,
      "@type": "CustomerBill"
    },
    {
      "id": "0.0.0.1+-bill+103581",
      "href": "http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+103581",
      "billDate": null,
      "billNo": "bill in progress",
      "category": "0",
      "lastUpdate": "2025-05-02T00:23:54-07:00",
      "nextBillDate": "2025-06-02T00:00:00-07:00",
      "paymentDueDate": "2025-10-12T01:05:29-07:00",
      "runType": "onCycle",
      "amountDue": {
         "unit": "USD",
         "value": 100.0
      },
      "appliedPayment": null,
      "billDocument": null,
      "billingAccount": {
         "id": "0.0.0.1+-account+104221",
         "href": null,
         "name": "John Miller",
         "@baseType": null,
         "@schemaLocation": null,
         "@type": null,
         "@referredType": "billingAccount"
      },
      "billingPeriod": {
         "endDateTime": null,
         "startDateTime": "2025-05-02T00:00:00-07:00"
      },
      "financialAccount": {
         "id": "0.0.0.1+-account+104221",
         "href": null,
         "name": "John Miller",
         "accountBalance": null,
         "@baseType": null,
         "@schemaLocation": null,
         "@type": null,
         "@referredType": "financialAccount"
      },
      "paymentMethod": {
         "id": "0.0.0.1+-payinfo-invoice+106269",
         "href": null,
         "name": "Invoice1",
         "@baseType": null,
         "@schemaLocation": null,
         "@type": null,
         "@referredType": null
      },
      "relatedParty": null,
      "remainingAmount": {
         "unit": "USD",
         "value": 0.0
      },
      "state": "inProgress",
      "taxExcludedAmount": {
         "unit": "USD",
         "value": 93.75
      },
      "taxIncludedAmount": {
         "unit": "USD",
         "value": 100.0
      },
      "taxItem": null,
      "@baseType": "CustomerBill",
      "@schemaLocation": null,
      "@type": "CustomerBill"
   }
]

Example 2: Get Bills Associated with an Account Number

The following example shows how to get bills by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.

This request uses query parameters to show all bills associated with a specified account number.

curl -X GET 'http://host:port/brm/customerBillManagement/version/customerBill?limit=2&billingAccount.id=Account-1234'

Response Body

The following example shows the contents of the response body in JSON format.

[
   {
      "id": "0.0.0.1+-bill+106861",
      "href": "http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+106861",
      "billDate": null,
      "billNo": "bill in progress",
      "category": "0",
      "lastUpdate": "2025-05-02T01:14:13-07:00",
      "nextBillDate": "2025-06-13T00:00:00-07:00",
      "paymentDueDate": "2025-08-01T01:05:29-07:00",
      "runType": "onCycle",
      "amountDue": {
         "unit": "EUR",
         "value": 90.0
      },
      "appliedPayment": null,
      "billDocument": null,
      "billingAccount": {
         "id": "Account-1234",
         "href": null,
         "name": "John Miller",
         "@baseType": null,
         "@schemaLocation": null,
         "@type": null,
         "@referredType": "billingAccount"
      },
      "billingPeriod": {
         "endDateTime": null,
         "startDateTime": "2025-05-02T00:00:00-07:00"
      },
      "financialAccount": {
         "id": "0.0.0.1+-account+107117",
         "href": null,
         "name": "John Miller",
         "accountBalance": null,
         "@baseType": null,
         "@schemaLocation": null,
         "@type": null,
         "@referredType": "financialAccount"
      },
      "paymentMethod": {
         "id": "0.0.0.1+-payinfo-invoice+109165",
         "href": null,
         "name": "4243324",
         "@baseType": null,
         "@schemaLocation": null,
         "@type": null,
         "@referredType": null
      },
      "relatedParty": null,
      "remainingAmount": {
         "unit": "EUR",
         "value": 90.0
      },
      "state": "inProgress",
      "taxExcludedAmount": {
         "unit": "EUR",
         "value": 86.0
      },
      "taxIncludedAmount": {
         "unit": "EUR",
         "value": 90.0
      },
      "taxItem": null,
      "@baseType": "CustomerBill",
      "@schemaLocation": null,
      "@type": "CustomerBill"
    },
    {
      "id": "0.0.0.1+-bill+103581",
      "href": "http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+103581",
      "billDate": null,
      "billNo": "bill in progress",
      "category": "0",
      "lastUpdate": "2025-05-02T00:23:54-07:00",
      "nextBillDate": "2025-06-02T00:00:00-07:00",
      "paymentDueDate": "2025-10-12T01:05:29-07:00",
      "runType": "onCycle",
      "amountDue": {
         "unit": "USD",
         "value": 100.0
      },
      "appliedPayment": null,
      "billDocument": null,
      "billingAccount": {
         "id": "Account-1234",
         "href": null,
         "name": "John Miller",
         "@baseType": null,
         "@schemaLocation": null,
         "@type": null,
         "@referredType": "billingAccount"
      },
      "billingPeriod": {
         "endDateTime": null,
         "startDateTime": "2025-05-02T00:00:00-07:00"
      },
      "financialAccount": {
         "id": "0.0.0.1+-account+104221",
         "href": null,
         "name": "John Miller",
         "accountBalance": null,
         "@baseType": null,
         "@schemaLocation": null,
         "@type": null,
         "@referredType": "financialAccount"
      },
      "paymentMethod": {
         "id": "0.0.0.1+-payinfo-invoice+106269",
         "href": null,
         "name": "Invoice1",
         "@baseType": null,
         "@schemaLocation": null,
         "@type": null,
         "@referredType": null
      },
      "relatedParty": null,
      "remainingAmount": {
         "unit": "USD",
         "value": 0.0
      },
      "state": "inProgress",
      "taxExcludedAmount": {
         "unit": "USD",
         "value": 93.75
      },
      "taxIncludedAmount": {
         "unit": "USD",
         "value": 100.0
      },
      "taxItem": null,
      "@baseType": "CustomerBill",
      "@schemaLocation": null,
      "@type": "CustomerBill"
   }
]
Back to Top